<?php
namespace FM\Service;

use FM\Factory\AgSimplesFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class AgSimplesService {
    
    protected $AgSimplesFactory;
    protected $Environment;
    protected $newCode;
    
    public function __construct (AgSimplesFactory $AgSimplesFactory, Environment $Environment, NewCode $newCode) {
        $this->AgSimplesFactory  = $AgSimplesFactory;
        $this->Environment                  = $Environment;
        $this->newCode                      = $newCode;
    }

    public function getServiceLocal(){
        $operadores = $this->AgSimplesFactory->getFactoryLocal();
        return $operadores;
    }
    
    public function getServiceLocalAt($id, $filters = null){
        
        $childrens = $this->AgSimplesFactory->getFactoryLocalAt($id);
        return $childrens;
    }
    
    public function getServiceChildrenLocal($nrlocalclientepai){
        
        $param = array(
            'NRLOCALCLIENTEPAI' => $nrlocalclientepai
        );
        $operadores = $this->AgSimplesFactory->getFactoryChildrenLocal($param);
        return $operadores;
    }
    
    public function getServiceAgSimplesPage($nrlocalcliente){
        
        $param = array(
            'NRLOCALCLIENTE' => $nrlocalcliente
        );
        $operadores = $this->AgSimplesFactory->getFactoryAgSimplesPage($param);
        return $operadores;
    }
}
?>