<?php

namespace FM\Service;

use FM\Factory\SectorFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class SectorService {

    protected $SectorFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (SectorFactory $SectorFactory, Environment $Environment, NewCode $newCode) {
        $this->SectorFactory = $SectorFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }
    
    public function listSector($params) {
        $sectors = $this->SectorFactory->listSector($params);
        return $sectors;
    }
}

?>